import axios from 'axios';
import global from '../Global.js'

// 基础方法进行封装
function getApiBasic(url, postdata) {
    return axios.post(url, postdata).then(function (data) {
        let json = data.data;
        return json
    }, function (response) {
        console.info(response);
    })
}

// 调用的api改写成方法
export function worldDetail(postdata) {
    let url = headapi + 'worldDetail';
    return getApiBasic(url, postdata);
}


export function editbasicinfo(postdata) {
    let url = headapi + 'editbasicinfo';
    return getApiBasic(url, postdata);
}

export function modPwd(postdata) {
    let url = headapi + 'modPwd';
    return getApiBasic(url, postdata);
}

export function logout(postdata) {
    let url = headapi + 'logout';
    return getApiBasic(url, postdata);
}

// 调用的api改写成方法
export function testTable(postdata) {
    let url = headapi + 'testTable';
    return getApiBasic(url, postdata);
}

export function testTableLong(postdata) {
    let url = headapi + 'testTableLong';
    return getApiBasic(url, postdata);
}

export function testSelect(postdata) {
    let url = headapi + 'testSelect';
    return getApiBasic(url, postdata);
}

export function getNavListQuery(postdata) {
    let url = headapi + 'getNavListQuery';
    return getApiBasic(url, postdata);
}

// Auth

// 获取验证图片
export function GenVerifyPic(postdata) {
    let url = headapi + 'v1/Auth/GenVerifyPic';
    return getApiBasic(url, postdata);
}

// 修改密码 √
export function PassEdit(postdata) {
    let url = headapi + 'v1/Auth/PassEdit';
    return getApiBasic(url, postdata);
}

// 用户登录 √
export function SignIn(postdata) {
    let url = headapi + 'v1/Auth/SignIn';
    return getApiBasic(url, postdata);
}

// 用户退出
export function SignOut(postdata) {
    let url = headapi + 'v1/Auth/SignOut';
    return getApiBasic(url, postdata);
}

// 用户添加
export function SignUp(postdata) {
    let url = headapi + 'v1/Auth/SignUp';
    return getApiBasic(url, postdata);
}

// 用户微信登录
export function WXSignIn(postdata) {
    let url = headapi + 'v1/Auth/WXSignIn';
    return getApiBasic(url, postdata);
}

// class
// √ 课程添加
export function ClassAdd(postdata) {
    let url = headapi + 'v1/Class/ClassAdd';
    return getApiBasic(url, postdata);
}

// 课程统计
export function ClassStatistics(postdata) {
    let url = headapi + 'v1/Class/ClassStatistics';
    return getApiBasic(url, postdata);
}

// √ 课程颜色修改
export function ClassColorEdit(postdata) {
    let url = headapi + 'v1/Class/ClassColorEdit';
    return getApiBasic(url, postdata);
}

// 课程单条查询
export function ClassDetailOne(postdata) {
    let url = headapi + 'v1/Class/ClassDetailOne';
    return getApiBasic(url, postdata);
}

// √ 课程基本信息修改
export function ClassEdit(postdata) {
    let url = headapi + 'v1/Class/ClassEdit';
    return getApiBasic(url, postdata);
}

// √ 课程列表查询
export function ClassListQuery(postdata) {
    let url = headapi + 'v1/Class/ClassListQuery';
    return getApiBasic(url, postdata);
}

// √ 课程状态修改
export function ClassStatusEdit(postdata) {
    let url = headapi + 'v1/Class/ClassStatusEdit';
    return getApiBasic(url, postdata);
}

// 课程会员增删
export function ClassVipuserEdit(postdata) {
    let url = headapi + 'v1/Class/ClassVipuserEdit';
    return getApiBasic(url, postdata);
}

// 课程会员查询
export function ClassVipuserQuery(postdata) {
    let url = headapi + 'v1/Class/ClassVipuserQuery';
    return getApiBasic(url, postdata);
}

// 课程微信可见状态修改
export function ClassVisibleStatusEdit(postdata) {
    let url = headapi + 'v1/Class/ClassVisibleStatusEdit';
    return getApiBasic(url, postdata);
}

// order
// 最新预约列表查询
export function LastOrderQuery(postdata) {
    let url = headapi + 'v1/Order/LastOrderQuery';
    return getApiBasic(url, postdata);
}

// 管理员今日预约添加
export function OrderAddByManager(postdata) {
    let url = headapi + 'v1/Order/OrderAddByManager';
    return getApiBasic(url, postdata);
}

// 管理员今日预约取消
export function OrderCancelByManager(postdata) {
    let url = headapi + 'v1/Order/OrderCancelByManager';
    return getApiBasic(url, postdata);
}

// 预约记录查询
export function OrderListQuery(postdata) {
    let url = headapi + 'v1/Order/OrderListQuery';
    return getApiBasic(url, postdata);
}

// 今日预约统计
export function OrderStatistics(postdata) {
    let url = headapi + 'v1/Order/OrderStatistics';
    return getApiBasic(url, postdata);
}

// 今日课程预约总览
export function TodayClassOrderQuery(postdata) {
    let url = headapi + 'v1/Order/TodayClassOrderQuery';
    return getApiBasic(url, postdata);
}

// 课程预约列表
export function ClassOrderQuery(postdata) {
    let url = headapi + 'v1/Order/ClassOrderQuery';
    return getApiBasic(url, postdata);
}

// 今日会员预约列表查询
export function TodayVipOrderQuery(postdata) {
    let url = headapi + 'v1/Order/TodayVipOrderQuery';
    return getApiBasic(url, postdata);
}

// 会员预约列表查询
export function VipUserOrderQuery(postdata) {
    let url = headapi + 'v1/Order/VipUserOrderQuery';
    return getApiBasic(url, postdata);
}

// SchoolTimeTable

// 正在进行课程列表
export function ClassOngoingList(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassOngoingList';
    return getApiBasic(url, postdata);
}

// 课程表预览
export function SchoolTimetablePreview(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/SchoolTimetablePreview';
    return getApiBasic(url, postdata);
}

// 课程详情判断是否可删除
export function STTDetailAllowDelCheck(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/STTDetailAllowDelCheck';
    return getApiBasic(url, postdata);
}

// 下课记录详情删除
export function ClassOverDetailDel(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassOverDetailDel';
    return getApiBasic(url, postdata);
}

// 课程表详情微信可预约状态修改
export function STTDetailWxOrderEdit(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/STTDetailWxOrderEdit';
    return getApiBasic(url, postdata);
}

// 某日课程表查询
export function ClassListByOrderDate(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassListByOrderDate';
    return getApiBasic(url, postdata);
}


// 确认下课
export function ClassOverConfirm(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassOverConfirm';
    return getApiBasic(url, postdata);
}

// 下课记录详情添加
export function ClassOverDetailAdd(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassOverDetailAdd';
    return getApiBasic(url, postdata);
}

// 下课记录详情列表
export function ClassOverDetailListQuery(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassOverDetailListQuery';
    return getApiBasic(url, postdata);
}

// 下课记录详情状态修改
export function ClassOverDetailStatusEdit(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassOverDetailStatusEdit';
    return getApiBasic(url, postdata);
}

// 待下课课程列表
export function ClassOverPrepare(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassOverPrepare';
    return getApiBasic(url, postdata);
}

// 下课准备
export function ClassPreFinishListQuery(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassPreFinishListQuery';
    return getApiBasic(url, postdata);
}

// 课程表基本信息添加
export function STTBasicAdd(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/STTBasicAdd';
    return getApiBasic(url, postdata);
}

// 课程表基本信息修改
export function STTBasicEdit(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/STTBasicEdit';
    return getApiBasic(url, postdata);
}

// 课程表基本列表查询
export function STTBasicListQuery(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/STTBasicListQuery';
    return getApiBasic(url, postdata);
}

// 课程表上下线状态修改
export function STTBasicOfflineEdit(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/STTBasicOfflineEdit';
    return getApiBasic(url, postdata);
}

// 课程表状态修改
export function STTBasicStatusEdit(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/STTBasicStatusEdit';
    return getApiBasic(url, postdata);
}

// 课程表详情批量保存
export function STTDetailBatchSave(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/STTDetailBatchSave';
    return getApiBasic(url, postdata);
}

// 课程表详情列表查询
export function STTDetailListQuery(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/STTDetailListQuery';
    return getApiBasic(url, postdata);
}

// 复制课程表
export function SchoolTimeTableCopy(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/SchoolTimeTableCopy';
    return getApiBasic(url, postdata);
}

// 今日未上课课程列表查询
export function WaitingBeginClassList(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/WaitingBeginClassList';
    return getApiBasic(url, postdata);
}

// shop
// √ 店铺添加
export function ShopAdd(postdata) {
    let url = headapi + 'v1/Shop/ShopAdd';
    return getApiBasic(url, postdata);
}

// 店铺微信预约状态修改
export function ShopWxStatusEdit(postdata) {
    let url = headapi + 'v1/Shop/ShopWxStatusEdit';
    return getApiBasic(url, postdata);
}

// 店铺单条查询
export function ShopDetailOne(postdata) {
    let url = headapi + 'v1/Shop/ShopDetailOne';
    return getApiBasic(url, postdata);
}

// √ 店铺详情查询
export function ShopDetailQuery(postdata) {
    let url = headapi + 'v1/User/ShopDetailQuery';
    return getApiBasic(url, postdata);
}

//  操作日志列表查询
export function OptLogListQuery(postdata) {
    let url = headapi + 'v1/User/OptLogListQuery';
    return getApiBasic(url, postdata);
}


// 店铺修改
export function ShopEdit(postdata) {
    let url = headapi + 'v1/Shop/ShopEdit';
    return getApiBasic(url, postdata);
}

// 店铺列表查询
export function ShopListQuery(postdata) {
    let url = headapi + 'v1/Shop/ShopListQuery';
    return getApiBasic(url, postdata);
}

// 店铺状态修改
export function ShopStatusEdit(postdata) {
    let url = headapi + 'v1/Shop/ShopStatusEdit';
    return getApiBasic(url, postdata);
}

// SttPlan
// 课程表模板基本信息添加
export function SttPlanBasicAdd(postdata) {
    let url = headapi + 'v1/SttPlan/SttPlanBasicAdd';
    return getApiBasic(url, postdata);
}

// 课程表模板详情预览
export function SttPlanPreview(postdata) {
    let url = headapi + 'v1/SttPlan/SttPlanPreview';
    return getApiBasic(url, postdata);
}

// 课程表模板基本信息修改
export function SttPlanBasicEdit(postdata) {
    let url = headapi + 'v1/SttPlan/SttPlanBasicEdit';
    return getApiBasic(url, postdata);
}

// 课程表模板基本信息列表查询
export function SttPlanBasicListQuery(postdata) {
    let url = headapi + 'v1/SttPlan/SttPlanBasicListQuery';
    return getApiBasic(url, postdata);
}

// 课程表模板店铺通用修改
export function SttPlanBasicShopEdit(postdata) {
    let url = headapi + 'v1/SttPlan/SttPlanBasicShopEdit';
    return getApiBasic(url, postdata);
}

// 课程表模板复制
export function SttPlanCopy(postdata) {
    let url = headapi + 'v1/SttPlan/SttPlanCopy';
    return getApiBasic(url, postdata);
}

// 课程表模板基本信息状态修改
export function SttPlanBasicStatusEdit(postdata) {
    let url = headapi + 'v1/SttPlan/SttPlanBasicStatusEdit';
    return getApiBasic(url, postdata);
}

// 课程表模板详情列表查询
export function SttPlanDetailListQuery(postdata) {
    let url = headapi + 'v1/SttPlan/SttPlanDetailListQuery';
    return getApiBasic(url, postdata);
}

// 课程表模板发布
export function SttPlanPublish(postdata) {
    let url = headapi + 'v1/SttPlan/SttPlanPublish';
    return getApiBasic(url, postdata);
}

// 课程表模板详情批量保存
export function SttPlanDetailBatchSave(postdata) {
    let url = headapi + 'v1/SttPlan/SttPlanDetailBatchSave';
    return getApiBasic(url, postdata);
}

// teacher
// 教练信息添加 √
export function TeacherAdd(postdata) {
    let url = headapi + 'v1/Teacher/TeacherAdd';
    return getApiBasic(url, postdata);
}

// 教练信息修改  √
export function TeacherEdit(postdata) {
    let url = headapi + 'v1/Teacher/TeacherEdit';
    return getApiBasic(url, postdata);
}

// 教练信息列表查询  √
export function TeacherListQuery(postdata) {
    let url = headapi + 'v1/Teacher/TeacherListQuery';
    return getApiBasic(url, postdata);
}

// 教练状态修改  √
export function TeacherStatusEdit(postdata) {
    let url = headapi + 'v1/Teacher/TeacherStatusEdit';
    return getApiBasic(url, postdata);
}

// User
// √
export function ManagerSelfQuery(postdata) {
    let url = headapi + 'v1/User/ManagerSelfQuery';
    return getApiBasic(url, postdata);
}

// √ 店铺管理员添加
export function ShopManagerAdd(postdata) {
    let url = headapi + 'v1/User/ShopManagerAdd';
    return getApiBasic(url, postdata);
}

// 店铺管理员修改
export function ShopManagerEdit(postdata) {
    let url = headapi + 'v1/User/ShopManagerEdit';
    return getApiBasic(url, postdata);
}

// 店铺管理员列表查询
export function ShopManagerListQuery(postdata) {
    let url = headapi + 'v1/User/ShopManagerListQuery';
    return getApiBasic(url, postdata);
}

// 店铺管理员状态修改
export function ShopManagerStatusEdit(postdata) {
    let url = headapi + 'v1/User/ShopManagerStatusEdit';
    return getApiBasic(url, postdata);
}

// 会员用户课时调整
export function VipUserHourEdit(postdata) {
    let url = headapi + 'v1/User/VipUserHourEdit';
    return getApiBasic(url, postdata);
}

// 会员统计
export function VipUserStatistics(postdata) {
    let url = headapi + 'v1/User/VipUserStatistics';
    return getApiBasic(url, postdata);
}

// 会员课程增删
export function VipUserClassEdit(postdata) {
    let url = headapi + 'v1/User/VipUserClassEdit';
    return getApiBasic(url, postdata);
}

// 会员有效期调整
export function VipUserExpEdit(postdata) {
    let url = headapi + 'v1/User/VipUserExpEdit';
    return getApiBasic(url, postdata);
}

// 会员用户添加
export function VipUserAdd(postdata) {
    let url = headapi + 'v1/User/VipUserAdd ';
    return getApiBasic(url, postdata);
}

// 会员用户基本信息修改
export function VipUserEdit(postdata) {
    let url = headapi + 'v1/User/VipUserEdit ';
    return getApiBasic(url, postdata);
}

// 会员消费记录查询
export function VipUserConsumeListQuery(postdata) {
    let url = headapi + 'v1/User/VipUserConsumeListQuery ';
    return getApiBasic(url, postdata);
}
// 会员消费记录详情查询
export function VipUserConsumeDetailQuery(postdata) {
    let url = headapi + 'v1/User/VipUserConsumeDetailQuery ';
    return getApiBasic(url, postdata);
}

// 会员用户列表
export function VipUserListQuery(postdata) {
    let url = headapi + 'v1/User/VipUserListQuery';
    return getApiBasic(url, postdata);
}


// 会员用户基本信息查询
export function VipUserSimpleQuery(postdata) {
    let url = headapi + 'v1/User/VipUserSimpleQuery ';
    return getApiBasic(url, postdata);
}

// 会员用户状态修改
export function VipUserStatusEdit(postdata) {
    let url = headapi + 'v1/User/VipUserStatusEdit ';
    return getApiBasic(url, postdata);
}

// 通过Name查询Take用户信息
export function QueryTakeCustomerByName(postdata) {
    let url = headapi + 'v1/Take/QueryTakeCustomerByName ';
    return getApiBasic(url, postdata);
}

//
// 绑定Take用户
export function BindTakeCustomer(postdata) {
    let url = headapi + 'v1/Take/BindTakeCustomer ';
    return getApiBasic(url, postdata);
}

// 查询商家区域
export function QueryShopVenue(postdata) {
    let url = headbpi + 'v1/Shop/QueryShopVenue ';
    return getApiBasic(url, postdata);
}

// 添加商家区域
export function AddShopVenue(postdata) {
    let url = headbpi + 'v1/Shop/AddShopVenue ';
    return getApiBasic(url, postdata);
}

// 修改商家区域
export function EditShopVenue(postdata) {
    let url = headbpi + 'v1/Shop/EditShopVenue ';
    return getApiBasic(url, postdata);
}

// 修改商家区域状态
export function ShopVenueStatusEdit(postdata) {
    let url = headbpi + 'v1/Shop/ShopVenueStatusEdit ';
    return getApiBasic(url, postdata);
}

// 查询商家区域设备
export function QueryVenueEquip(postdata) {
    let url = headbpi + 'v1/Shop/QueryVenueEquip ';
    return getApiBasic(url, postdata);
}

// 修改场馆设备状态
export function ShopVenueEquipEditStatus(postdata) {
    let url = headbpi + 'v1/Shop/ShopVenueEquipEditStatus ';
    return getApiBasic(url, postdata);
}

// 添加场馆设备
export function AddShopVenueEquip(postdata) {
    let url = headbpi + 'v1/Shop/AddShopVenueEquip ';
    return getApiBasic(url, postdata);
}

// 修改场馆设备
export function EditShopVenueEquip(postdata) {
    let url = headbpi + 'v1/Shop/EditShopVenueEquip ';
    return getApiBasic(url, postdata);
}


// 11/20 新增
// 待下课课程列表
export function ClassDetailQuery(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassDetailQuery ';
    return getApiBasic(url, postdata);
}

// 上课准备
export function ClassStartPrepare(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassStartPrepare ';
    return getApiBasic(url, postdata);
}

// HrSensors
// 添加商家公共心率设备
export function AddHrSensors(postdata) {
    let url = headapi + 'v1/HrSensors/AddHrSensors ';
    return getApiBasic(url, postdata);
}

//
// 心率带绑定用户
export function BindHrSensorsToUser(postdata) {
    let url = headapi + 'v1/HrSensors/BindHrSensorsToUser ';
    return getApiBasic(url, postdata);
}

// 修改商家公共心率设备信息
export function EditHrSensors(postdata) {
    let url = headapi + 'v1/HrSensors/EditHrSensors ';
    return getApiBasic(url, postdata);
}

//
// 修改商家公共心率设备状态
export function HrSensorsStatusEdit(postdata) {
    let url = headapi + 'v1/HrSensors/HrSensorsStatusEdit ';
    return getApiBasic(url, postdata);
}

// 查询商家公共心率设备
export function QueryHrSensors(postdata) {
    let url = headapi + 'v1/HrSensors/QueryHrSensors ';
    return getApiBasic(url, postdata);
}

// 查询未绑定的心率带--下拉框用
export function SelectHrSensors(postdata) {
    let url = headapi + 'v1/HrSensors/SelectHrSensors ';
    return getApiBasic(url, postdata);
}

// 心率带解绑用户
export function UnBindHrSensorsToUser(postdata) {
    let url = headapi + 'v1/HrSensors/UnBindHrSensorsToUser ';
    return getApiBasic(url, postdata);
}

// 上课未预约会员绑定心率带后再确认
export function ClassDetailAndSnAdd(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassDetailAndSnAdd ';
    return getApiBasic(url, postdata);
}


export function ClassStartConfirm(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassStartConfirm ';
    return getApiBasic(url, postdata);
}

//关闭课程
export function ClassGiveUpConfirm(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassGiveUpConfirm ';
    return getApiBasic(url, postdata);
}

// 修改心率系统区域和课程类型
export function DispPlanInfoEdit(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/DispPlanInfoEdit ';
    return getApiBasic(url, postdata);
}

// 查询心率带绑定历史记录
export function HrSensorsBindHistory(postdata) {
    let url = headapi + 'v1/HrSensors/HrSensorsBindHistory ';
    return getApiBasic(url, postdata);
}
// 课堂记录（下课后）详情
export function FinshedDispPlanQuery(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/FinshedDispPlanQuery ';
    return getApiBasic(url, postdata);
}

// 11-24  私有心率设备

// 课堂记录（下课后）详情
export function AddPvtHrSensors(postdata) {
    let url = headapi + 'v1/HrSensors/AddPvtHrSensors ';
    return getApiBasic(url, postdata);
}
// 查询商家会员私有心率设备
export function QueryPvtHrSensors(postdata) {
    let url = headapi + 'v1/HrSensors/QueryPvtHrSensors ';
    return getApiBasic(url, postdata);
}


// 12/2 关联手机号

// 会员关联手机添加
export function VipUserAssociatedPhoneAdd(postdata) {
    let url = headapi + 'v1/User/VipUserAssociatedPhoneAdd ';
    return getApiBasic(url, postdata);
}

// 会员关联手机修改
export function VipUserAssociatedPhoneEdit(postdata) {
    let url = headapi + 'v1/User/VipUserAssociatedPhoneEdit ';
    return getApiBasic(url, postdata);
}

// 会员关联手机号简单查询
export function VipUserAssociatedPhoneSimpleQuery(postdata) {
    let url = headapi + 'v1/User/VipUserAssociatedPhoneSimpleQuery ';
    return getApiBasic(url, postdata);
}

// 会员关联手机状态修改
export function VipUserAssociatedPhoneStatusEdit(postdata) {
    let url = headapi + 'v1/User/VipUserAssociatedPhoneStatusEdit ';
    return getApiBasic(url, postdata);
}

// 12/3 跨店管理


// 跨店会员查询
export function AcrossVipUserQuery(postdata) {
    let url = headapi + 'v1/User/AcrossVipUserQuery ';
    return getApiBasic(url, postdata);
}

// 跨店会员删除
export function AcrossVipUserDel(postdata) {
    let url = headapi + 'v1/User/AcrossVipUserDel ';
    return getApiBasic(url, postdata);
}

// 跨店会员添加
export function AcrossVipUserAdd(postdata) {
    let url = headapi + 'v1/User/AcrossVipUserAdd ';
    return getApiBasic(url, postdata);
}
// 12/4 会员基本信息foradmin

// 跨店会员添加
export function VipUserSimpleQueryByAdmin(postdata) {
    let url = headapi + 'v1/User/VipUserSimpleQueryByAdmin ';
    return getApiBasic(url, postdata);
}

// 商家分组添加
export function ShopGroupQuery(postdata) {
    let url = headapi + 'v1/Shop/ShopGroupQuery ';
    return getApiBasic(url, postdata);
}

//
// 剩余课时统计
export function ClassHourStatistics(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassHourStatistics ';
    return getApiBasic(url, postdata);
}

// 根据手机号码判断用户信息
export function VipUserQueryByPhone(postdata) {
    let url = headapi + 'v1/User/VipUserQueryByPhone ';
    return getApiBasic(url, postdata);
}

// 关联手机号删除
export function VipUserAssociatedPhoneDel(postdata) {
    let url = headapi + 'v1/User/VipUserAssociatedPhoneDel ';
    return getApiBasic(url, postdata);
}
export function ClassSimpleQuery(postdata) {
    let url = headapi + 'v1/Class/ClassSimpleQuery ';
    return getApiBasic(url, postdata);
}

// 2020/12/21
//
// 临时会员添加
export function TmpUserAdd(postdata) {
    let url = headapi + 'v1/User/TmpUserAdd ';
    return getApiBasic(url, postdata);
}
// 临时会员删除
export function TmpUserDel(postdata) {
    let url = headapi + 'v1/User/TmpUserDel ';
    return getApiBasic(url, postdata);
}
// 临时会员修改
export function TmpUserEdit(postdata) {
    let url = headapi + 'v1/User/TmpUserEdit ';
    return getApiBasic(url, postdata);
}
// 临时会员查询
export function TmpUserQuery(postdata) {
    let url = headapi + 'v1/User/TmpUserQuery ';
    return getApiBasic(url, postdata);
}

// 2020/12/22
// 课堂中临时会员添加
export function ClassOverTmpDetailAdd(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassOverTmpDetailAdd ';
    return getApiBasic(url, postdata);
}
// 课程中临时会员增加后又删除
export function ClassTmpUserOverDetailDel(postdata) {
    let url = headapi + 'v1/SchoolTimeTable/ClassTmpUserOverDetailDel ';
    return getApiBasic(url, postdata);
}
// 心率带绑定临时会员
export function BindHrSensorsToTempUser(postdata) {
    let url = headapi + 'v1/HrSensors/BindHrSensorsToTempUser ';
    return getApiBasic(url, postdata);
}
// 获取心率带电量
export function GetHrSensorsPowerPercent(postdata) {
    let url = headapi + 'v1/HrSensors/GetHrSensorsPowerPercent ';
    return getApiBasic(url, postdata);
}

// 2021/01/04
// 跨店会员用户基本信息查询（排除本店会员）
export function AcrossUserSimpleQuery(postdata) {
    let url = headapi + 'v1/User/AcrossUserSimpleQuery ';
    return getApiBasic(url, postdata);
}

// 2021/02/02
// 查询演示设备
export function QueryDemoVenueEquipByLoallout(postdata) {
    let url = headbpi + 'v1/Shop/QueryDemoVenueEquipByLoallout';
    return getApiBasic(url, postdata);
}

// 小飞龙总管理员查询商家列表
export function QueryShopListByLoallout(postdata) {
    let url = headbpi + 'v1/Shop/QueryShopListByLoallout ';
    return getApiBasic(url, postdata);
}

// 演示版上课接口
export function getHello(postdata) {
    let url = headcpi + 'UserListInfo';
    return getApiBasic(url, postdata);
}

// 卡路里场馆统计（分月度、周统计,TV左上角统计）
export function CalorieStatsQuery(postdata) {
    let url = headcpi + 'CalorieStatsQuery';
    return getApiBasic(url, postdata);
}
// 卡路里场馆统计（分月度、周统计,TV左上角统计）
export function ClassUserRank(postdata) {
    let url = headcpi + 'ClassUserRank';
    return getApiBasic(url, postdata);
}
// 2021/02/10
export function QueryDemoVenueEquipInOlinClass(postdata) {
    let url = headbpi + 'v1/Shop/QueryDemoVenueEquipInOlinClass';
    return getApiBasic(url, postdata);
}
// 2021/03/04
// 教练课时记录查询
export function TeacherConsumeQuery(postdata) {
    let url = headapi + 'v1/User/TeacherConsumeQuery';
    return getApiBasic(url, postdata);
}
// 会员课时调整记录查询
export function ClassHourChgQuery(postdata) {
    let url = headapi + 'v1/User/ClassHourChgQuery';
    return getApiBasic(url, postdata);
}
// 2021/03/12